/* =========================================

OSCAR - Responsive App Landing Page - Main javascript

========================================= */

var $ = jQuery.noConflict();

jQuery(function($) {

	"use strict";

    var oscar = {

 

    /*** Init Function ***/

    init: function() {

        oscar.Preloader();

		oscar.Navigation();

		oscar.Scroll();

		oscar.Parallax();

        oscar.Animations();

		oscar.Carousel();

        oscar.Lightbox();

    },

	

	/*** Preloader ***/

    Preloader: function() {

        $(window).load(function() {

            $('.loading').delay(100).fadeOut('slow');

            $('#preloader').delay(500).fadeOut('slow');

            setTimeout(function(){$('.logo').addClass('animated fadeInUp')},1000);

			setTimeout(function(){$('.home h1').addClass('animated fadeInUp')},1300);

			setTimeout(function(){$('.home h5,.home .contact').addClass('animated fadeInUp')},1600);

			setTimeout(function(){$('.home .home-screenshot').addClass('animated fadeInRight')},1400);

			setTimeout(function(){$('.home .button-large,.intro .button,.home form').addClass('animated bounceIn')},2100);

        })

    },

	

	/*** Navigation ***/

    Navigation: function() {

		 $("#navigation").sticky({topSpacing:0});

	},

	

	/*** Scroll ***/

    Scroll: function() {

		$('a[href*=#]:not([href=#])').bind('click',function(event){

			var $anchor = $(this);

			$('html, body').stop().animate({

			scrollTop: $($anchor.attr('href')).offset().top -0

			}, 1500,'easeInOutExpo');

			event.preventDefault();

		});

	},

	

	/*** Carousel ***/

    Carousel: function() {

        $('#owl-gallery').owlCarousel({

            items : 4,

            itemsDesktop : [1199,5],

            itemsDesktopSmall : [980,4],

            itemsTablet: [768,3],

            itemsTabletSmall: [550,2],

            itemsMobile : [480,2],

        });

    },



	/*** Lightbox ***/

    Lightbox: function() {

        $('#owl-gallery a').nivoLightbox({

            effect: 'fall',

        });

    },



	/*** Parallax ***/

	Parallax: function(){

		$(window).bind('load', function () {parallaxInit();});

		function parallaxInit() {

			$('#testimonials').parallax("30%", 0.1);

			$('#download').parallax("30%", 0.1);

			$('#download .mobile').parallax("30%", 0.1);

			$('#contact').parallax("30%", 1);

		}

	},



    /*** Animations ***/

    Animations: function() {

        $('#features').waypoint(function() {

            setTimeout(function(){$('.features .section-intro').addClass('animated fadeInDown')},300);

            setTimeout(function(){$('.features .iconbox.1').addClass('animated fadeInLeft')},800);

			setTimeout(function(){$('.features .iconbox.2').addClass('animated fadeInLeft')},1600);

			setTimeout(function(){$('.features .iconbox.3').addClass('animated fadeInLeft')},2200);

			setTimeout(function(){$('.phone-image').addClass('animated fadeInUp')},600);

            setTimeout(function(){$('.features .iconbox.4').addClass('animated fadeInRight')},1300);

			setTimeout(function(){$('.features .iconbox.5').addClass('animated fadeInRight')},1900);

			setTimeout(function(){$('.features .iconbox.6').addClass('animated fadeInRight')},2500);

        }, { offset: '50%' });

		

		$('#explain1').waypoint(function() {

			setTimeout(function(){$('.explain1 .iconbox.1').addClass('animated fadeInRight')},800);

			setTimeout(function(){$('.explain1 .iconbox.2').addClass('animated fadeInRight')},1300);

			setTimeout(function(){$('.explain1 .iconbox.3').addClass('animated fadeInRight')},1600);

			setTimeout(function(){$('.explain1 .backimage').addClass('animated fadeInLeft')},800);

            setTimeout(function(){$('.explain1 .frontimage.1').addClass('animated fadeInLeft')},1100);

			setTimeout(function(){$('.explain1 .frontimage.2').addClass('animated fadeInLeft')},1300);

			setTimeout(function(){$('.explain1 .frontimage.3').addClass('animated fadeInLeft')},1500);

			setTimeout(function(){$('.explain1 .frontimage.4').addClass('animated fadeInLeft')},1800);

        }, { offset: '50%' });

 

        $('#explain2').waypoint(function() {

			setTimeout(function(){$('.explain2 .iconbox.1').addClass('animated fadeInRight')},800);

			setTimeout(function(){$('.explain2 .iconbox.2').addClass('animated fadeInRight')},1300);

			setTimeout(function(){$('.explain2 .iconbox.3').addClass('animated fadeInRight')},1600);

			setTimeout(function(){$('.explain2 .backimage').addClass('animated fadeInLeft')},800);

            setTimeout(function(){$('.explain2 .frontimage').addClass('animated fadeInLeft')},1100);

        }, { offset: '50%' });

		

		$('#explain3').waypoint(function() {

			setTimeout(function(){$('.explain3 .backimage').addClass('animated fadeInLeft')},1300);

            setTimeout(function(){$('.explain3 .frontimage.1').addClass('animated fadeInLeft')},1100);

			setTimeout(function(){$('.explain3 .frontimage.2').addClass('animated fadeInLeft')},800);

        }, { offset: '50%' });

		

		$('#testimonials').waypoint(function() {

			setTimeout(function(){$('#quote-slider').addClass('animated bounceIn')},300);

        }, { offset: '50%' });

		

		$('#services').waypoint(function() {

			setTimeout(function(){$('.services .section-intro').addClass('animated fadeInDown')},300);

			setTimeout(function(){$('.services .hideme.1').addClass('animated fadeInUp')},600);

			setTimeout(function(){$('.services .hideme.2').addClass('animated fadeInUp')},900);

			setTimeout(function(){$('.services .hideme.3').addClass('animated fadeInUp')},1200);

        }, { offset: '50%' });

		

		$('#newsletter').waypoint(function() {

            setTimeout(function(){$('.subscribe-submit').addClass('animated tada')},200);

        }, { offset: '50%' });

 

        $('#screenshots').waypoint(function() {

			setTimeout(function(){$('.screenshots .section-intro').addClass('animated fadeInDown')},0);

            setTimeout(function(){$('.shot.1').addClass('animated fadeInUp')},200);

			setTimeout(function(){$('.shot.2').addClass('animated fadeInUp')},500);

			setTimeout(function(){$('.shot.3').addClass('animated fadeInUp')},800);

			setTimeout(function(){$('.shot.4').addClass('animated fadeInUp')},1100);

			setTimeout(function(){$('.shot.5').addClass('animated fadeInUp')},1400);

			setTimeout(function(){$('.shot.7').addClass('animated fadeInUp')},1700);

			setTimeout(function(){$('.shot.8').addClass('animated fadeInUp')},2000);

        }, { offset: '50%' });

		

		$('#plans').waypoint(function() {

			setTimeout(function(){$('.plans .section-intro').addClass('animated fadeInDown')},300);

            setTimeout(function(){$('.plans .hideme.1').addClass('animated flipInY')},600);

            setTimeout(function(){$('.plans .hideme.2').addClass('animated flipInY')},900);

			setTimeout(function(){$('.plans .hideme.3').addClass('animated flipInY')},1200);

        }, { offset: '50%' });

		

		$('#download').waypoint(function() {

			setTimeout(function(){$('.download .section-intro').addClass('animated fadeInDown')},300);

            setTimeout(function(){$('.download .store-button.1').addClass('animated fadeInRight')},600);

            setTimeout(function(){$('.download .store-button.2').addClass('animated fadeInLeft')},900);

			setTimeout(function(){$('.download .store-button.3').addClass('animated tada')},1200);

        }, { offset: '50%' });

		

		$('#address').waypoint(function() {

			setTimeout(function(){$('.address .phone-button').addClass('animated tada')},300);

            setTimeout(function(){$('.address h2').addClass('animated fadeInUp')},600);

            setTimeout(function(){$('.address h4.1').addClass('animated fadeInUp')},900);

			setTimeout(function(){$('.address h4.2').addClass('animated fadeInUp')},1200);

			setTimeout(function(){$('.address .social.1').addClass('animated fadeInUp')},1500);

			setTimeout(function(){$('.address .social.2').addClass('animated fadeInUp')},1800);

			setTimeout(function(){$('.address .social.3').addClass('animated fadeInUp')},2100);

			setTimeout(function(){$('.address .social.4').addClass('animated fadeInUp')},2400);

			setTimeout(function(){$('.address .social.5').addClass('animated fadeInUp')},2700);

        }, { offset: '50%' });



		$('#contact').waypoint(function() {

            setTimeout(function(){$('.contact .section-intro').addClass('animated fadeInDown')},0);

			setTimeout(function(){$('#contactName').addClass('animated fadeInUp')},300);

			setTimeout(function(){$('#contactEmail').addClass('animated fadeInUp')},600);

			setTimeout(function(){$('#contactPhone').addClass('animated fadeInUp')},900);

			setTimeout(function(){$('#contactMessage').addClass('animated fadeInUp')},1200);

			setTimeout(function(){$('.contact .submit').addClass('animated fadeInUp')},1500);

        }, { offset: '50%' });

		

		$('#footer').waypoint(function() {

            setTimeout(function(){$('.footer .backtotop').addClass('animated fadeInDown')},0);

			setTimeout(function(){$('.footer p').addClass('animated fadeInUp')},300);

        }, { offset: '1%' });

    },

 }

$(function() {oscar.init();});



	

	/*** QUOTE SLIDER ***/

	$("#quote-slider").each(function() {

		$("#quote-slider").sudoSlider({

			customLink:'a.quoteLink',

			speed: 400,

			responsive: true,

			prevNext: true, // Set this to false if you only want to show one quote

			prevHtml: '<a href="#" class="quote-arrow-prev"><i class="arrow_carrot-left_alt2"></i></a>', 

			nextHtml: '<a href="#" class="quote-arrow-next"><i class="arrow_carrot-right_alt2"></i></a>', 

			auto:false,

			useCSS: true,

			continuous: true,

			updateBefore: true

		});

	});



	/*** SUBCRIBE FORM ***/

	$("#subscribe").each(function() {

		$('#subscribe').ajaxForm( {

			target: '#newsletterform .message',

			success: function() { 

				$('#subscribe').slideUp('slow');

				$("#newsletterform .waiting").delay(100).fadeIn("slow");

				$("#newsletterform .waiting").delay(500).fadeOut("slow");

				$("#newsletterform .message").delay(1500).slideDown("slow");

			}

		});

	});

	

	/*** CONTACT FORM ***/

	$("#contactform").each(function() {

		$("#contactform").submit(function(e) {

			e.preventDefault();

			$.ajax({

				url: "asset/inc/contact.php",

				data: "name="+ escape($("#contactName").val()) +"&email=" + escape($("#contactEmail").val()) + "&phone=" + escape($("#contactPhone").val()) + "&message="+escape($("#contactMessage").val()),

				dataType: "json",

				success: function(resp) {

					$("#contactName, #contactEmail, #contactMessage").removeClass("error");

					if(resp.success == 1){

						$(".contact .waiting").delay(100).fadeIn("slow");

						$(".contact .waiting").delay(500).fadeOut("slow");

						$(".contact .message").delay(1500).slideDown("slow");

						$(".contact .message").delay(2000).html("<p>We'll be in touch real soon!</p>").fadeIn("slow");

						$("#contactform").slideUp("slow");

						$("#contactName, #contactEmail, #contactMessage, #contactPhone").val("");

					}

					else {

						if(resp.errorCode == 1){

							$("#contactName").addClass("error").focus();

						}

						else if(resp.errorCode == 2){

							$("#contactEmail").addClass("error").focus();

						}

						else if(resp.errorCode == 3){

							$("#contactMessage").addClass("error").focus();

						}	

					}					

				}

			});

			return false;

		});

	});

	

});